Bug 1389931 - [abrt] gnome-terminal: after_process_all_updates(): gnome-terminal-server killed by SIGSEGV
Summary: [abrt] gnome-terminal: after_process_all_updates(): gnome-terminal-server kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:169b28eb845d822f7112f2b4b55...
: 1436175 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-29 15:09 UTC by Joachim Frieben
Modified: 2017-04-24 13:07 UTC (History)
5 users (show)

Fixed In Version: gtk3-3.22.12-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-24 10:21:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (44.64 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: cgroup (276 bytes, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: core_backtrace (3.23 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: dso_list (10.35 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: environ (956 bytes, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: maps (54.04 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: mountinfo (3.60 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: open_fds (983 bytes, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-10-29 15:09 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-10-29 15:09:35 UTC
Version-Release number of selected component:
gnome-terminal-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: after_process_all_updates
executable:     /usr/libexec/gnome-terminal-server
global_pid:     17244
kernel:         4.8.4-301.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 after_process_all_updates at gdkwindow.c:4028
 #3 gdk_window_process_all_updates at gdkwindow.c:4094
 #4 update_timeout(gpointer) at vte.cc:10710
 #9 g_main_context_iteration at gmain.c:3990
 #10 g_application_run at gapplication.c:2381

Comment 1 Joachim Frieben 2016-10-29 15:09:41 UTC
Created attachment 1215328 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-10-29 15:09:43 UTC
Created attachment 1215329 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-10-29 15:09:44 UTC
Created attachment 1215330 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-10-29 15:09:46 UTC
Created attachment 1215331 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-10-29 15:09:47 UTC
Created attachment 1215332 [details]
File: environ

Comment 6 Joachim Frieben 2016-10-29 15:09:48 UTC
Created attachment 1215333 [details]
File: exploitable

Comment 7 Joachim Frieben 2016-10-29 15:09:51 UTC
Created attachment 1215334 [details]
File: limits

Comment 8 Joachim Frieben 2016-10-29 15:09:53 UTC
Created attachment 1215335 [details]
File: maps

Comment 9 Joachim Frieben 2016-10-29 15:09:54 UTC
Created attachment 1215336 [details]
File: mountinfo

Comment 10 Joachim Frieben 2016-10-29 15:09:55 UTC
Created attachment 1215337 [details]
File: namespaces

Comment 11 Joachim Frieben 2016-10-29 15:09:57 UTC
Created attachment 1215338 [details]
File: open_fds

Comment 12 Joachim Frieben 2016-10-29 15:09:58 UTC
Created attachment 1215339 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2016-10-29 15:09:59 UTC
Created attachment 1215340 [details]
File: var_log_messages

Comment 14 Joachim Frieben 2017-04-23 19:11:33 UTC
This crash was triggered by running 'GDK_BACKEND=x11 gnome-terminal' in a GNOME on Wayland session.

Comment 15 Kalev Lember 2017-04-24 10:21:10 UTC
Thanks for verifying!

Comment 16 Debarshi Ray 2017-04-24 13:07:13 UTC
*** Bug 1436175 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.